Skip to main content
POST
/
v2
/
api
/
core
/
wallets
/
{walletId}
/
intent
Submit the payload to create new wallet
curl --request POST \
  --url https://api.custody.api-zodia.io/v2/api/core/wallets/{walletId}/intent \
  --header 'Content-Type: application/json' \
  --header 'X-Signature: <api-key>' \
  --data '
{
  "request": {
    "author": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "domainId": "8a0b02c3-fdd8-452e-bc6e-ef07a335ec7e"
    },
    "expiryAt": "2022-01-09T10:51:00Z",
    "targetDomainId": "cef1a96b-aa13-443a-b4cc-e3286f2af910",
    "id": "b0393b72-83e8-4809-ba89-7e63ea11a49a",
    "payload": {
      "id": "39ed5bd5-5844-44b9-b4b4-6d3533c3b3e9",
      "alias": "ZTEST-NOBENF-849P8XKKAO",
      "providerDetails": {
        "vaultId": "2d95a0f0-2acf-11ec-8d3d-0242ac130003",
        "keyStrategy": "VaultHard",
        "type": "Vault"
      },
      "ledgerId": "bitcoin-testnet",
      "lock": "Unlocked",
      "customProperties": {
        "property1": "string",
        "property2": "string"
      },
      "type": "v0_CreateAccount",
      "description": "Description of my account"
    },
    "customProperties": {
      "property1": "string",
      "property2": "string"
    },
    "type": "Propose",
    "description": "create an intent for account"
  },
  "signature": "MEUCIC3VIuw4pfk+BLnZrk1qklGS9phAlQFSQoAnlhw59x7cAiEAm5nq8ANlHcRNcONj5FXXl1v0EK5U8gZyQ22geFSsFL8="
}
'
{
  "id": "<string>"
}

Authorizations

X-Signature
string
header
required

Path Parameters

walletId
string
required

Body

application/json
request
object
required

Details of the wallet being created

signature
string
required

Signature of the "request" field above

Example:

"MEUCIC3VIuw4pfk+BLnZrk1qklGS9phAlQFSQoAnlhw59x7cAiEAm5nq8ANlHcRNcONj5FXXl1v0EK5U8gZyQ22geFSsFL8="

Response

OK

id
string
required

Id of the entity